#!/bin/bash

source ../cascade-make/lib/cascade-lib.bash GEXT_JENA .. $*


if [ $install = "1"  ] ; then

  echo "===="
  echo "= Installing GS Triplestore Wrapper scripts"
  echo "=="

  triple_store="$GEXT_JENA_INSTALLED/etc/tdb-triple-store"
  if [ ! -d "$triple_store" ] ; then
    echo "= Creating empty triple-store:"
    echo "    $triple_store"
    mkdir "$triple_store"
  fi

  echo "= Installing server-side scripts"
  /bin/cp gs-triplestore-server* $GEXT_JENA_INSTALLED/bin/script/.
  chmod a+rx $GEXT_JENA_INSTALLED/bin/script/gs-triplestore-server*

  echo "===="
  echo ""

fi
